Subject: Re: [PATCH 01/14] mm: Serialize access to min_free_kbytes

From: Andrew Morton <[email-masked]>
Date: Wed, 6 Jul 2011 16:44:47 -0700

On Mon, 20 Jun 2011 14:12:07 +0100
Mel Gorman <[email-masked]> wrote:

> There is a race between the min_free_kbytes sysctl, memory hotplug
> and transparent hugepage support enablement.  Memory hotplug uses a
> zonelists_mutex to avoid a race when building zonelists. Reuse it to
> serialise watermark updates.

This patch appears to be a standalone fix, unrelated to the overall
patch series?

How does one trigger the race and what happens when it hits, btw?

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>